/*
 ****************************************************************************
 *
 *  (c) Copyright 2013 BOE IDM. All rights reserved.
 *
 *  This software is proprietary to and embodies the confidential
 *  technology of BOE IDM. Possession, use, or copying of this
 *  software and media is authorized only pursuant to a valid written
 *  license from BOE IDM.
 *
 ****************************************************************************
 */

package com.cim.idm.wmspackage.user.management.data;

import com.cim.idm.framework.orm.info.DataInfo;
import com.cim.idm.framework.orm.info.UserColumnMark;
import com.cim.idm.framework.orm.info.access.FieldAccessor;

/*
 ****************************************************************************
 *  PACKAGE : com.cim.idm.mespackage.user.management.data
 *  NAME    : UserGroup.java
 *  TYPE    : JAVA
 *  DESCRIPTION :
 *
 ****************************************************************************
 */

public class UserGroup extends FieldAccessor implements DataInfo<UserGroupKey>
{
	private UserGroupKey	key;
	private String			description;
	private String			siteName;
    private String accessFactory;

	public UserGroupKey getKey()
	{
		return key;
	}

	public void setKey(UserGroupKey key)
	{
		this.key = key;
	}

	public String getDescription()
	{
		return description;
	}

	public void setDescription(String description)
	{
		this.description = description;
	}

	public String getSiteName() {
		return siteName;
	}

	public void setSiteName(String siteName) {
		this.siteName = siteName;
	}


	public String getAccessFactory() {
		return accessFactory;
	}

	public void setAccessFactory(String accessFactory) {
		this.accessFactory = accessFactory;
	}
}
